Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.nurserostering.domain.solver
Class EmployeeConsecutiveAssignmentStart

    java.lang.Object
      org.optaplanner.examples.nurserostering.domain.solver.EmployeeConsecutiveAssignmentStart

All Implemented Interfaces:
  Serializable, Comparable<EmployeeConsecutiveAssignmentStart>

    public class EmployeeConsecutiveAssignmentStart

extends Object
implements Comparable<EmployeeConsecutiveAssignmentStart>, Serializable

See Also:
  Serialized Form

Constructor Summary
`EmployeeConsecutiveAssignmentStart(Employee employee, ShiftDate shiftDate)`

Method Summary
`int` | `compareTo(EmployeeConsecutiveAssignmentStart other)`
`boolean` | `equals(Object o)`
`Contract` | `getContract()`
`int` | `getDistanceToFirstDayOfWeekend()`
`Employee` | `getEmployee()`
`ShiftDate` | `getShiftDate()`
`int` | `getShiftDateDayIndex()`
`int` | `hashCode()`
`boolean` | `isWeekendAndNotFirstDayOfWeekend()`
`void` | `setEmployee(Employee employee)`
`void` | `setShiftDate(ShiftDate shiftDate)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmployeeConsecutiveAssignmentStart

    public EmployeeConsecutiveAssignmentStart(Employee employee,
                                              ShiftDate shiftDate)

Method Detail

### getEmployee

    public Employee getEmployee()

### setEmployee

    public void setEmployee(Employee employee)

### getShiftDate

    public ShiftDate getShiftDate()

### setShiftDate

    public void setShiftDate(ShiftDate shiftDate)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(EmployeeConsecutiveAssignmentStart other)

  Specified by:
    `compareTo` in interface `Comparable<EmployeeConsecutiveAssignmentStart>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getContract

    public Contract getContract()

### getShiftDateDayIndex

    public int getShiftDateDayIndex()

### isWeekendAndNotFirstDayOfWeekend

    public boolean isWeekendAndNotFirstDayOfWeekend()

### getDistanceToFirstDayOfWeekend

    public int getDistanceToFirstDayOfWeekend()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.